## org.apache.mahout.clustering.fuzzykmeans
Class SoftCluster

    java.lang.Object
      org.apache.mahout.clustering.AbstractCluster
          org.apache.mahout.clustering.DistanceMeasureCluster
              org.apache.mahout.clustering.kmeans.Cluster
                  org.apache.mahout.clustering.fuzzykmeans.SoftCluster

All Implemented Interfaces:
  org.apache.hadoop.io.Writable, Cluster, Model<VectorWritable>

    public class SoftCluster

extends Cluster

Field Summary

Fields inherited from class org.apache.mahout.clustering.DistanceMeasureCluster
`measure`

Fields inherited from interface org.apache.mahout.clustering.Cluster
`CLUSTERED_POINTS_DIR, CLUSTERS_DIR, INITIAL_CLUSTERS_DIR`

Constructor Summary
`SoftCluster()`
`SoftCluster(Vector center, int clusterId, DistanceMeasure measure)` Construct a new SoftCluster with the given point as its center

Method Summary
`java.lang.String` `asFormatString()`
`java.lang.String` `getIdentifier()`
`double` `pdf(VectorWritable vw)` Return the probability that the observation is described by this model

Methods inherited from class org.apache.mahout.clustering.kmeans.Cluster
`computeConvergence, formatCluster, isConverged, readFields, setConverged, toString, write`

Methods inherited from class org.apache.mahout.clustering.DistanceMeasureCluster
`getMeasure, sampleFromPosterior, setMeasure`

Methods inherited from class org.apache.mahout.clustering.AbstractCluster
`asFormatString, asJsonString, computeCentroid, computeParameters, count, formatVector, getCenter, getId, getNumPoints, getObservations, getRadius, getS0, getS1, getS2, observe, observe, observe, observe, setCenter, setId, setNumPoints, setRadius`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SoftCluster

    public SoftCluster()

### SoftCluster

    public SoftCluster(Vector center,
                       int clusterId,
                       DistanceMeasure measure)

  Construct a new SoftCluster with the given point as its center

  Parameters:
    `center` - the center point
    `measure` - the DistanceMeasure

Method Detail

### asFormatString

    public java.lang.String asFormatString()

  Overrides:
    `asFormatString` in class `Cluster`

### getIdentifier

    public java.lang.String getIdentifier()

  Overrides:
    `getIdentifier` in class `Cluster`

### pdf

    public double pdf(VectorWritable vw)

  Description copied from interface: `Model`
  Return the probability that the observation is described by this model

  Specified by:
    `pdf` in interface `Model<VectorWritable>`
  Overrides:
    `pdf` in class `DistanceMeasureCluster`
  Parameters:
    `vw` - an Observation from the posterior
  Returns:
    the probability that x is in the receiver

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.